Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.repository.util
Class OntologyNameExtractor

    java.lang.Object
      edu.stanford.smi.protegex.owl.repository.util.OntologyNameExtractor

    public class OntologyNameExtractor

extends Object

User: matthewhorridge
The University Of Manchester
Medical Informatics Group
Date: Sep 12, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

A utility class that extracts the name (URI) of an ontology from an OWL file. The name of an ontology is the xml:base URI.

Nested Class Summary
`static class` | `OntologyNameExtractor.OntologyDeclarationFoundException`

Constructor Summary
`OntologyNameExtractor(InputStreamSource source)` Constructs an `OntologyNameExtractor` that should obtain the name of an ontology which can be read via the specified input stream.

Method Summary
`URI` | `getOntologyName()`
`boolean` | `isPossiblyValidOntology()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OntologyNameExtractor

    public OntologyNameExtractor(InputStreamSource source)
                          throws IOException

  Constructs an `OntologyNameExtractor` that should obtain the name of an ontology which can be read via the specified input stream.

  Parameters:
    `source` - The input stream from which the ontology can be read.
  Throws:
    `IOException`

Method Detail

### isPossiblyValidOntology

    public boolean isPossiblyValidOntology()

### getOntologyName

    public URI getOntologyName()
                        throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.